org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class DedupLocalStep<E,S extends Iterable<E>>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapStep<S,Set<E>>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.DedupLocalStep<E,S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Set<E>>>, Step<S,Set<E>>

      public final class DedupLocalStep<E,S extends Iterable<E>>
      extends MapStep<S,Set<E>>

  Author:
    Daniel Kuppitz (http://gremlin.guru)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DedupLocalStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<TraverserRequirement>` | `getRequirements()` Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `protected Set<E>` | `map(Traverser.Admin<S> traverser)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hashCode, hasNext, next, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### DedupLocalStep

          public DedupLocalStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### map

          protected Set<E> map(Traverser.Admin<S> traverser)

      Specified by:
        `map` in class `MapStep<S extends Iterable<E>,Set<E>>`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Returns:
        the set of requirements

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.